Index: FOIAVistA/tag/r/AUTOMATED_LAB_INSTRUMENTS-LA/LA7VORM1.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_LAB_INSTRUMENTS-LA/LA7VORM1.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_LAB_INSTRUMENTS-LA/LA7VORM1.m	(revision 636)
@@ -1,4 +1,20 @@
-LA7VORM1 ;DALOI/DLR - LAB ORM (Order) message builder ; 12-12-96
- ;;5.2;AUTOMATED LAB INSTRUMENTS;**27,51,46,61,64**;Sep 27, 1994
+LA7VORM1 ;DALOI/DLR - LAB ORM (Order) message builder ;1/27/07  12:25
+ ;;5.2;AUTOMATED LAB INSTRUMENTS;**27,51,46,61,64,73**;Sep 27, 1994;Build 7
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
+ ; This program is distributed in the hope that it will be useful,
+ ; but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ; GNU General Public License for more details.
+ ;
+ ; You should have received a copy of the GNU General Public License
+ ; along with this program; if not, write to the Free Software
+ ; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  ;
 BUILD(LA7628) ;
@@ -6,4 +22,5 @@
  ;
  N LA7101,LA762801,LA7629,LA7NVAF,LA7PIDSN,LA7X,ECNT,GBL,SHP,SHPC,SITE,ORUID,NTST
+ N LDATE,LDATE2
  ;
  I $G(LA7628)<1!('$D(^LAHM(62.8,+$G(LA7628),0))) D  Q
@@ -11,4 +28,6 @@
  . D EXIT
  ;
+ S LDATE2=$P(^LAHM(62.8,LA7628,0),"-",2)
+ S LDATE=($E(LDATE2,1,4)-1700)_$E(LDATE2,5,8)
  S GBL="^TMP(""HLS"","_$J_")",ECNT=1
  S LA7628(0)=$G(^LAHM(62.8,LA7628,0))
@@ -64,10 +83,11 @@
  S (LRDFN,LRI,LA7PIDSN)=0
  F  S LRDFN=$O(^TMP("LA7628",$J,LRDFN)) Q:'LRDFN  D  Q:$G(HL)
- . N LA7PID,LA7PV1
+ . N LA7PID,LA7PV1,ORNUM
  . I LA7SMSG=1 D STARTMSG Q:$G(HL)
- . I LA7SMSG<2 D PID,PV1
+ . I LA7SMSG<2 D PID,PV1,IN1^LA7VORM4
  . S LA7UID=""
  . F  S LA7UID=$O(^TMP("LA7628",$J,LRDFN,LA7UID)) Q:LA7UID=""  D
- . . N LA76802,LA7ORC,X
+ . . N LA76802,LA7ORC,X,ORCCHK,DGCHK
+ . . S ORCCHK="",DGCHK=""
  . . S X=$Q(^LRO(68,"C",LA7UID))
  . . I $QS(X,3)'=LA7UID Q
@@ -76,5 +96,7 @@
  . . S I=$O(^LRO(68,LRAA,1,LRAD,1,LRAN,5,0))
  . . S LA76802(5)=$G(^LRO(68,LRAA,1,LRAD,1,LRAN,5,I,0))
- . . I LA7SMSG=2 D STARTMSG Q:$G(HL)  D PID,PV1
+ . . ;check for VOE before inserting insurance
+ . . I DUZ("AG")="E",LA7SMSG=2 D STARTMSG Q:$G(HL)  D PID,PV1,IN1^LA7VORM4
+ . . I DUZ("AG")'="E",LA7SMSG=2 D STARTMSG Q:$G(HL)  D PID,PV1
  . . S (LA7OBRSN,LA762801)=0
  . . F  S LA762801=$O(^TMP("LA7628",$J,LRDFN,LA7UID,LA762801)) Q:'LA762801  D
@@ -82,5 +104,15 @@
  . . . F I=0,.1,1,2,5 S LA762801(I)=$G(^LAHM(62.8,LA7628,10,LA762801,I))
  . . . I $$CHKTST^LA7SMU(LA7628,LA762801)'=0 Q  ;deleted accession
- . . . D ORC,OBR^LA7VORM3,OBX^LA7VORM3
+ . . . ; check for VOE to prepare for Diagnosis codes.
+ . . . I DUZ("AG")="E" D  ; check for VOE
+ . . . . S ITEMNUM=0
+ . . . . F  S ITEMNUM=ITEMNUM+1 Q:ITEMNUM>$P(^LRO(69,LDATE,1,0),"^",4)  D
+ . . . . . I LRDFN=$P(^LRO(69,LDATE,1,ITEMNUM,0),"^") S ORNUM=$P(^LRO(69,LDATE,1,ITEMNUM,0),"^",11)
+ . . . . I ORCCHK'=1 D ORC S ORCCHK=1
+ . . . . D OBR^LA7VORM3,OBX^LA7VORM3
+ . . . E  D  ; not VOE
+ . . . . D ORC,OBR^LA7VORM3,OBX^LA7VORM3
+ . . ; check for VOE before inserting Diagnosis code
+ . . I DUZ("AG")="E",DGCHK'=1 D DG1^LA7VORM4(ORNUM) S DGCHK=1
  . . I LA7SMSG=2 D BLG,SENDMSG
  . I LA7SMSG<2 D BLG
@@ -97,4 +129,5 @@
  K LRAA,LRACC,LRAD,LRAN,LRDFN,LRI
  K LTST,NLT,NLTIEN,PCNT,RUID,SNIEN,TIEN,X,Y,LA
+ K ORCCHK,DGCHK,LDATE,LDATE2
  D KVAR^LRX
  I $D(ZTQUEUED) S ZTREQ="@"
@@ -228,5 +261,4 @@
  Q
  ;
- ;
 BLG ; Billing segment
  ;
Index: FOIAVistA/tag/r/AUTOMATED_MED_INFO_EXCHANGE-DVBA-DVBC/DVBCREQ1.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_MED_INFO_EXCHANGE-DVBA-DVBC/DVBCREQ1.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_MED_INFO_EXCHANGE-DVBA-DVBC/DVBCREQ1.m	(revision 636)
@@ -1,4 +1,4 @@
 DVBCREQ1 ;ALB/GTS-557/THM-NEW 2507 REQUEST PRINTING ; 5/25/91  11:36 AM
- ;;2.7;AMIE;**19,29,126**;Apr 10, 1995;Build 8
+ ;;2.7;AMIE;**19,29**;Apr 10, 1995
  ;
 START S PGHD="COMPENSATION AND PENSION EXAM REQUEST",ROHD="Requested by "_RONAME,PG=0
@@ -6,12 +6,5 @@
  D SSNOUT^DVBCUTIL ;** Set the value of DVBCSSNO
  W !?2,"Name: ",PNAM,?56,"SSN: ",DVBCSSNO,!?51,"C-Number: ",CNUM,!?56,"DOB: " S Y=DOB X ^DD("DD") W Y,!?2,"Address: ",ADR1,! W:ADR2]"" ?11,ADR2,! W:ADR3]"" ?11,ADR3,!!
- W ?2,"City,State,Zip+4: ",?48,"Res Phone: ",HOMPHON,!?5,CITY,"  ",STATE,"  ",ZIP,?48,"Bus Phone: ",BUSPHON,!   ;I IOST?1"C-".E D CRTBOT G:$D(GETOUT) EXIT  ;DVBA/126 comment off this code
- I $D(^DPT(DFN,.121)) I $D(DTT) D    ;DVBA/126
- .Q:$P(DTT,U,9)=""!($P(DTT,U,9)="N")
- .I $P(DTT,U,7)'="" Q:$P(DTT,U,7)>DT
- .I $P(DTT,U,8)'="" Q:$P(DTT,U,8)<DT
- .W !?2,"Temporary Address: ",TAD1,! W:TAD2]"" ?21,TAD2,! W:TAD3]"" ?21,TAD3,!
- .W ?2,"City,State,Zip+4: ",?48,"Temporary Phone: ",!?5,TCITY,"  ",TST,"  ",TZIP,?51,TPHONE,!
- I IOST?1"C-".E D CRTBOT G:$D(GETOUT) EXIT  ;DVBA/126
+ W !?2,"City,State,Zip+4: ",?48,"Res Phone: ",HOMPHON,!?5,CITY,"  ",STATE,"  ",ZIP,?48,"Bus Phone: ",BUSPHON,! I IOST?1"C-".E D CRTBOT G:$D(GETOUT) EXIT
  W !,"Entered active service: " S Y=EOD X ^DD("DD") S:Y="" Y="Not specified" W Y,?40,"Last rating exam date: ",LREXMDT,! S Y=RAD X ^DD("DD") S:Y="" Y="Not specified" W "Released active service: " W Y,!
  F LINE=1:1:80 W "="
@@ -37,5 +30,5 @@
  D:('$D(GETOUT)) ^DIWW
  ; **  Exit TAG **
-EXIT D:('$D(GETOUT)) BOT K GETOUT,LPCNT,DVBCDX,DVBCSC,DVBCSSNO,DTT,TAD1,TAD2,TAD3,TCITY,TST,TZIP,TPHONE Q
+EXIT D:('$D(GETOUT)) BOT K GETOUT,LPCNT,DVBCDX,DVBCSC,DVBCSSNO Q
  ;
 HDR S PG=PG+1 I '$D(ONE)!(($D(ONE))&(PG>1))!(IOST?1"C-".E) W @IOF
Index: FOIAVistA/tag/r/AUTOMATED_MED_INFO_EXCHANGE-DVBA-DVBC/DVBCRPR1.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_MED_INFO_EXCHANGE-DVBA-DVBC/DVBCRPR1.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_MED_INFO_EXCHANGE-DVBA-DVBC/DVBCRPR1.m	(revision 636)
@@ -1,9 +1,26 @@
 DVBCRPR1 ;ALBANY-ISC/GTS-REPRINT C&P REPORT CONTINUED ;4/28/93
- ;;2.7;AMIE;**2,119**;Apr 10, 1995;Build 10
+ ;;2.7;AMIE;**2,119**;Apr 10, 1995;Build 4;WorldVistA 30-Jan-08
+ ;Modified from FOIA VISTA,
+ ;Copyright 2008 WorldVistA.  Licensed under the terms of the GNU
+ ;General Public License See attached copy of the License.
+ ;
+ ;This program is free software; you can redistribute it and/or modify
+ ;it under the terms of the GNU General Public License as published by
+ ;the Free Software Foundation; either version 2 of the License, or
+ ;(at your option) any later version.
+ ;
+ ;This program is distributed in the hope that it will be useful,
+ ;but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ;GNU General Public License for more details.
+ ;
+ ;You should have received a copy of the GNU General Public License along
+ ;with this program; if not, write to the Free Software Foundation, Inc.,
+ ;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  ;
  ;  ** Entry points called only from DVBCRPRT **
  ;  ** All TAGS are entry points **
 HDR S PG=PG+1
- I +$G(DVBGUI)&&(PG>1) Q
+ I +$G(DVBGUI)&(PG>1) Q
  I PG>1 D HDR3^DVBCUTL2 Q
  S:ZPR'="E" TOTTIME=$$PROCDAY^DVBCUTL2(DA(1))
Index: FOIAVistA/tag/r/AUTOMATED_MED_INFO_EXCHANGE-DVBA-DVBC/DVBCRPRT.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_MED_INFO_EXCHANGE-DVBA-DVBC/DVBCRPRT.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_MED_INFO_EXCHANGE-DVBA-DVBC/DVBCRPRT.m	(revision 636)
@@ -1,4 +1,21 @@
 DVBCRPRT ;ALB/GTS-557/THM-REPRINT C&P REPORT ; 5/17/91  10:28 AM
- ;;2.7;AMIE;**31,42,119**;Apr 10, 1995;Build 10
+ ;;2.7;AMIE;**31,42,119**;Apr 10, 1995;Build 4;WorldVistA 30-Jan-08
+ ;Modified from FOIA VISTA,
+ ;Copyright 2008 WorldVistA.  Licensed under the terms of the GNU
+ ;General Public License See attached copy of the License.
+ ;
+ ;This program is free software; you can redistribute it and/or modify
+ ;it under the terms of the GNU General Public License as published by
+ ;the Free Software Foundation; either version 2 of the License, or
+ ;(at your option) any later version.
+ ;
+ ;This program is distributed in the hope that it will be useful,
+ ;but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ;GNU General Public License for more details.
+ ;
+ ;You should have received a copy of the GNU General Public License along
+ ;with this program; if not, write to the Free Software Foundation, Inc.,
+ ;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  ;
  ; ** DVBCRPRT is called from DVBCRPON only **
@@ -25,5 +42,5 @@
         .I $Y>(IOSL-9) D HDR^DVBCRPR1
  I '+$G(DVBGUI) D
- .I $Y>(IOSL-9) D UP^DVBCRPR1,NEXT,HDR^DVBCRPR1 W:$O(^DVB(396.4,OLDA,"RES",LINE))]""&&('+$G(DVBGUI)) !!,"Exam Results Continued",!!
+ .I $Y>(IOSL-9) D UP^DVBCRPR1,NEXT,HDR^DVBCRPR1 W:$O(^DVB(396.4,OLDA,"RES",LINE))]""&('+$G(DVBGUI)) !!,"Exam Results Continued",!!
  Q
 GO ;  ** An external entry point called from DVBCRPON **
Index: FOIAVistA/tag/r/AUTOMATED_MED_INFO_EXCHANGE-DVBA-DVBC/DVBCUTIL.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_MED_INFO_EXCHANGE-DVBA-DVBC/DVBCUTIL.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_MED_INFO_EXCHANGE-DVBA-DVBC/DVBCUTIL.m	(revision 636)
@@ -1,4 +1,4 @@
 DVBCUTIL ;ALB/GTS-557/THM;C&P UTILITY ROUTINE ; 4/26/91  11:16 AM
- ;;2.7;AMIE;**17,126**;Apr 10, 1995;Build 8
+ ;;2.7;AMIE;**17**;Apr 10, 1995
 KILL ;common exit
  D ^%ZISC I $D(FF),'$D(ZTQUEUED) W @FF,!!
@@ -6,5 +6,5 @@
  K SEX,SSN,STATE,TST,X,Y,Z,JI,JII,ZIP,JJ,KJX,D0,D1,DA,DI,DIC,DIPGM,DLAYGO,DQ,DWLW,HD,HD1,HD2,J,ONFILE,CTIM,JJ,C,DIZ,DPTSZ,STAT,JDT,JY,TSTDT,DIYS,EXAM,DR,REQDT,ELIG,INCMP,PRDSV,WARD,ADD1,ADD2,CNTY,PG,OLDDA,DIRUT,DUOUT
  K DVBCCNT,TNAM,DIR,TEMP,SWITCH,EDTA,RAD,EOD,%T,STATUS,XX,XDD,OLDA,OLDA1
- K DTTRNSC,ZIP4,DVBAINSF,DTT,TAD1,TAD2,TAD3,TCITY,TST,TZIP,TPHONE
+ K DTTRNSC,ZIP4,DVBAINSF
  G KILL^DVBCUTL2
  ;
@@ -28,11 +28,4 @@
  S CITY=$S(CITY]"":CITY,1:"Unknown") S STATE=$P(DTA,U,5) I STATE]"" S STATE=$S($D(^DIC(5,STATE,0)):$P(^(0),U,1),1:"Unknown")
  S (HOMPHON,BUSPHON)="Unknown" I $D(^DPT(DFN,.13)) S HOMPHON=$P(^(.13),U,1),BUSPHON=$P(^(.13),U,2)
- I $D(^DPT(DFN,.121)) D   ;DVBA/126 added
- .S (DTT,TAD1,TAD2,TAD3,TCITY,TST,TZIP,TPHONE)=""
- .S DTT=^DPT(DFN,.121)
- .S TAD1=$P(DTT,U,1),TAD2=$P(DTT,U,2),TAD3=$P(DTT,U,3),TCITY=$P(DTT,U,4)
- .S TZIP=$P(DTT,U,12) S:TZIP'="" TZIP=$S($L(TZIP)>5:$E(TZIP,1,5)_"-"_$E(TZIP,6,9),1:TZIP) I TZIP="" S TZIP="No Zip"
- .S TCITY=$S(TCITY]"":TCITY,1:"Unknown") S TST=$P(DTT,U,5) I TST]"" S TST=$S($D(^DIC(5,TST,0)):$P(^(0),U,1),1:"Unknown")
- .S TPHONE=$P(DTT,U,10) S:TPHONE="" TPHONE="Unknown"
  S EDTA=$S($D(^DPT(DFN,.32)):^(.32),1:""),EOD=$P(EDTA,U,6),RAD=$P(EDTA,U,7),Y=$S($D(^DVB(396.3,DA,1)):$P(^(1),U,7),1:"") X ^DD("DD") S LREXMDT=Y
  Q
Index: FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/ALPBGEN1.m
===================================================================
--- FOIAVistA/trunk/r/BAR_CODE_MED_ADMIN-ALPB-PSB/ALPBGEN1.m	(revision 631)
+++ FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/ALPBGEN1.m	(revision 636)
@@ -1,5 +1,4 @@
-ALPBGEN1 ;SFVAMC/JC - Parse and File HL7 PMU messages ;05/10/07
- ;;3.0;BAR CODE MED ADMIN;**8,37**;Mar 2004;Build 10
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ALPBGEN1 ;SFVAMC/JC - Parse and File HL7 PMU messages ;04/30/2003  07:59
+ ;;3.0;BAR CODE MED ADMIN;**8**;Mar 2004
  Q
  ;
@@ -45,5 +44,5 @@
  ;If SSN lookup fails, try name lookup and add
  I +Y<1 S DLAYGO=200,DIC="^VA(200,",DIC(0)="LM",X=ALPBNAM D ^DIC K DIC,DA,DR
- I +Y>0 S (ALPBDA,DA,DUZ)=+Y S ALPBMENU=$O(^DIC(19,"B","PSB BCBU WRKSTN MAIN",0)) D
+ I +Y>0 S (ALPBDA,DA)=+Y S ALPBMENU=$O(^DIC(19,"B","PSB BCBU WRKSTN MAIN",0)) D
  . S DIE="^VA(200,",DR="2////^S X=ALPBAC"
  . ;Update name too
Index: FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/ALPBINP.m
===================================================================
--- FOIAVistA/trunk/r/BAR_CODE_MED_ADMIN-ALPB-PSB/ALPBINP.m	(revision 631)
+++ FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/ALPBINP.m	(revision 636)
@@ -1,5 +1,4 @@
 ALPBINP ;OIFO-DALLAS/SED/KC/MW  BCMA - BCBU INPT TO HL7 ;5/2/2002
- ;;3.0;BAR CODE MED ADMIN;**8,37**;May 2007;Build 10
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;BAR CODE MED ADMIN;**8**;Mar 2004
  ;This routine will intercept the HL7 message that it sent from Pharmacy
  ;to CPRS to update order information. The message is then parsed and 
@@ -46,5 +45,4 @@
  D EN^PSJBCBU(ALPDFN,ALPORD,.ALPB)
 SEED ;Entry point for ^ALPBIND
- N VAIN
  D INIT
  S SUB=0 F  S SUB=$O(ALPB(SUB)) Q:'SUB  D
@@ -67,5 +65,5 @@
  ;Get the Division that the patient is associated with
  D PDIV
- I ALPDIV="DOM",+$$GET^XPAR("PKG.BAR CODE MED ADMIN","PSB BKUP DOM FILTER",1,"Q")>0 Q "0^^Screen of DOMICILIARY"
+ I ALPDIV="DOM" Q "0^^Screen of DOMICILIARY"
  I '$D(HLL("LINKS")) Q "0^HL7^Missing HLL Links Array Division # "_ALPDIV
  ;SET NEW PV1
@@ -144,5 +142,5 @@
  S ALPDIV=$$DIV^ALPBUTL1(ALPDFN,ALPBMDT)
  ;Screen Dom
- I ALPDIV="DOM",+$$GET^XPAR("PKG.BAR CODE MED ADMIN","PSB BKUP DOM FILTER",1,"Q")>0 Q
+ Q:ALPDIV="DOM"
  ;Now do I send the Message or not Based of Division
  I $D(ALPHLL("LINKS")) M HLL("LINKS")=ALPHLL("LINKS")
@@ -161,5 +159,5 @@
  ;Get the Division that the patient is associated with
  D PDIV
- I ALPDIV="DOM",+$$GET^XPAR("PKG.BAR CODE MED ADMIN","PSB BKUP DOM FILTER",1,"Q")>0 Q "0^^Screen of DOMICILIARY"
+ I ALPDIV="DOM" Q "0^^Screen of DOMICILIARY"
  I '$D(HLL("LINKS")) Q "0^"_ALPML_"^Missing HLL Links Array Med-Log"
  S ALPST=$P($G(^PSB(53.79,ALPML,0)),U,9)
@@ -202,5 +200,5 @@
  ;Get the Division that the patient is associated with
  D PDIV
- I ALPDIV="DOM",+$$GET^XPAR("PKG.BAR CODE MED ADMIN","PSB BKUP DOM FILTER",1,"Q")>0 Q "0^^Screen of DOMICILIARY"
+ I ALPDIV="DOM" Q "0^^Screen of DOMICILIARY"
  I '$D(HLL("LINKS")) Q "0^"_ALPDFN_"^Missing HLL Links Array Pat-Move"
  S HLA("HLS",1)=$$EN^VAFHLPID(ALPDFN,"2,7,8,19")
Index: FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/ALPBPWRD.m
===================================================================
--- FOIAVistA/trunk/r/BAR_CODE_MED_ADMIN-ALPB-PSB/ALPBPWRD.m	(revision 631)
+++ FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/ALPBPWRD.m	(revision 636)
@@ -1,5 +1,4 @@
 ALPBPWRD ;OIFO-DALLAS MW,SED,KC-PRINT 3-DAY MAR BCMA BCBU REPORT FOR A SELECTED WARD ;01/01/03
- ;;3.0;BAR CODE MED ADMIN;**8,37**;Mar 2004;Build 10
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;BAR CODE MED ADMIN;**8**;Mar 2004
  ; 
  ; NOTE: this routine is designed for hard-copy output.
@@ -144,7 +143,6 @@
  I ALPBSORT="R" D
  .S ALPBD="",ALPRM=""
- .F  S ALPBPTN=$O(^TMP($J,ALPBPTN)) Q:ALPBPTN=""  D  Q:ALPBPTN=""
+ .F  S ALPBPTN=$O(^TMP($J,ALPBPTN)) Q:ALPBPTN=""  D 
  ..I ALPBPTN="BCBU" S ALPBPTN=$O(^TMP($J,ALPBPTN)) ;SKIP "BCBU" SUBSCRIBE
- ..I ALPBPTN="" Q  ;PSB*3*37 Stop null subscript when "BCBU" is the last entry in ^TMP
  ..S ALPBIEN=^TMP($J,ALPBPTN) S ALPRM=$P($G(^ALPB(53.7,ALPBIEN,0)),"^",6),ALPBD=$P($G(^ALPB(53.7,ALPBIEN,0)),"^",7)
  ..I ALPBD="" S ALPB="NONE" I ALPRM="" S ALPB="NONE" ;INCASE NO ROOM AND BED YET
Index: FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/ALPBUTL1.m
===================================================================
--- FOIAVistA/trunk/r/BAR_CODE_MED_ADMIN-ALPB-PSB/ALPBUTL1.m	(revision 631)
+++ FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/ALPBUTL1.m	(revision 636)
@@ -1,5 +1,4 @@
 ALPBUTL1 ;OIFO-DALLAS MW,SED,KC-BCBU BACKUP REPORT FUNCTIONS AND UTILITIES  ;01/01/03
- ;;3.0;BAR CODE MED ADMIN;**8,37**;Mar 2004;Build 10
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;BAR CODE MED ADMIN;**8**;Mar 2004
  ;
  ; Reference/IA
@@ -181,5 +180,5 @@
  Q:+ALPWRD'>0 ""
  ;Check to see if ward is a DOMICILIARY 
- I $P($G(^DIC(42,ALPWRD,0)),U,3)="D",+$$GET^XPAR("PKG.BAR CODE MED ADMIN","PSB BKUP DOM FILTER",1,"Q")>0 Q "DOM"
+ I $P($G(^DIC(42,ALPWRD,0)),U,3)="D" Q "DOM"
  S ALPBDIV=$P($G(^DIC(42,ALPWRD,0)),U,11)
  Q:+ALPBDIV'>0 ""
Index: FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBO.m
===================================================================
--- FOIAVistA/trunk/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBO.m	(revision 631)
+++ FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBO.m	(revision 636)
@@ -1,4 +1,4 @@
 PSBO ;BIRMINGHAM/EFC-BCMA OUTPUTS ;Mar 2004
- ;;3.0;BAR CODE MED ADMIN;**13,32,2**;Mar 2004;Build 22
+ ;;3.0;BAR CODE MED ADMIN;**13,32**;Mar 2004;Build 32
  ;Per VHA Directive 2004-038 (or future revisions regarding same), this routine should not be modified.
  ; Reference/IA
@@ -71,5 +71,5 @@
  D:PSBSAVE
  .;Check Drug to Patient Relationship.
- .I (PSBTYPE="BL")!(PSBTYPE="BZ") S PSBANS="" D CHECK  I PSBANS=0!($D(DIRUT)) W !,"Cancelling Request..." S DIK="^PSB(53.69," D ^DIK W "Cancelled!" Q
+ .I PSBTYPE="BL" S PSBANS="" D CHECK  I PSBANS=0!($D(DIRUT)) W !,"Cancelling Request..." S DIK="^PSB(53.69," D ^DIK W "Cancelled!" Q
  .;
  .;Allow "'BROWSER" Device
Index: FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBO1.m
===================================================================
--- FOIAVistA/trunk/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBO1.m	(revision 631)
+++ FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBO1.m	(revision 636)
@@ -1,4 +1,4 @@
 PSBO1 ;BIRMINGHAM/EFC-BCMA OUTPUTS ;Mar 2004
- ;;3.0;BAR CODE MED ADMIN;**4,13,32,2**;Mar 2004;Build 22
+ ;;3.0;BAR CODE MED ADMIN;**4,13,32**;Mar 2004;Build 32
  ;Per VHA Directive 2004-038 (or future revisions regarding same), this routine should not be modified.
  ; Reference/IA
@@ -9,9 +9,9 @@
  K RESULTS
  ; Check Type
- I '$F("DL^MD^MH^ML^MM^MV^MT^PE^PM^WA^BL^PI^AL^DO^VT^PF^XA^IV^CM^CP^CE^CI^BZ^",PSBRTYP) S RESULTS(0)="-1^Invalid Report Type" Q
+ I '$F("DL^MD^MH^ML^MM^MV^MT^PE^PM^WA^BL^PI^AL^DO^VT^PF^XA^IV^CM^CP^CE^CI^",PSBRTYP) S RESULTS(0)="-1^Invalid Report Type" Q
  I '+$G(DUZ) S RESULTS(0)="-1^Undefined User" Q
  I '$G(DUZ(2)) S RESULTS(0)="-1^Undefined Division" Q
  ; Lock Log
- L +(^PSB(53.69,0)):$S($G(DILOCKTM)>0:DILOCKTM,1:3)
+ L +(^PSB(53.69,0)):0
  E  S RESULTS(0)="-1^Request Log Locked" Q
  ; Generate Unique Entry and Create
Index: FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBOMH1.m
===================================================================
--- FOIAVistA/trunk/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBOMH1.m	(revision 631)
+++ FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBOMH1.m	(revision 636)
@@ -1,5 +1,23 @@
-PSBOMH1 ;BIRMINGHAM/EFC-MAH ;Mar 2004
- ;;3.0;BAR CODE MED ADMIN;**6,3,9,11,26,38**;Mar 2004;Build 8
+PSBOMH1 ;BIRMINGHAM/EFC-MAH ;7:40 PM  30 Jan 2008
+ ;;3.0;BAR CODE MED ADMIN;**6,3,9,11,26,38,VWEHR1**;WorldVistA 30-Jan-08
  ;Per VHA Directive 2004-038, this routine should not be modified.
+ ;
+ ;Modified from FOIA VISTA,
+ ;Copyright 2008 WorldVistA.  Licensed under the terms of the GNU
+ ;General Public License See attached copy of the License.
+ ;
+ ;This program is free software; you can redistribute it and/or modify
+ ;it under the terms of the GNU General Public License as published by
+ ;the Free Software Foundation; either version 2 of the License, or
+ ;(at your option) any later version.
+ ;
+ ;This program is distributed in the hope that it will be useful,
+ ;but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ;GNU General Public License for more details.
+ ;
+ ;You should have received a copy of the GNU General Public License along
+ ;with this program; if not, write to the Free Software Foundation, Inc.,
+ ;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  ;
  ; Reference/IA
@@ -123,5 +141,12 @@
  I PSBGA'=1 S PSBTMP(10000000-$P(PSBMLA(0),U,6),"A")=$P(PSBMLA(0),U,6)_U_$$INITIAL^PSBRPC2($P(PSBMLA(0),U,7))
  S PSBQRY="PSBTMP",PSBCNT=1 F  S PSBQRY=$Q(@PSBQRY) Q:PSBQRY=""  D  ; does comment go with action
- .S PSBPQRY=$Q(@PSBQRY,-1)
+ .;
+ .;WV/EHR REVERSE $Q REPLACEMENT; SO 01/12/08 ;VWEHR1
+ .;
+ .;S PSBPQRY=$Q(@PSBQRY,-1)
+ .S PSBPQRY=$$Q^VWUTIL($NA(@PSBQRY),-1)
+ .;
+ .;END CHANGE
+ .;
  .I PSBPQRY="" S PSBTAR(PSBCNT)=@PSBQRY,PSBCNT=PSBCNT+1 Q  ; no prev action
  .I $QS(PSBPQRY,2)="C"  S PSBTAR(PSBCNT)=@PSBQRY,PSBCNT=PSBCNT+1 Q  ; prev line = comment
Index: FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBPOIV.m
===================================================================
--- FOIAVistA/trunk/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBPOIV.m	(revision 631)
+++ FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBPOIV.m	(revision 636)
@@ -1,11 +1,11 @@
 PSBPOIV ;BIRMINGHAM/EFC-IV PARAMETER VALIDATION ;Mar 2004
- ;;3.0;BAR CODE MED ADMIN;**2**;Mar 2004;Build 22
- ;;Per VHA Directive 2004-038 (or future revisions regarding same), this routine should not be modified.
+ ;;3.0;BAR CODE MED ADMIN;;Mar 2004
  ;
  ; Reference/IA
+ ; ^DIC(42/1377
  ; ^DIC(42/2440
+ ; EN^PSJCBMA1/2829
  ; EN^PSJBCMA2/2830
- ; VADPT/10061
- ;
+ ; DIQ(2/10035
  ;
 EN(PSBDFN,PSBORD) ;
@@ -16,5 +16,5 @@
  ; get IV parameters for the current ward
  S PSBCSTR="^ADDITIVE^STRENGTH^BOTTLE^SOLUTION^VOLUME^INFUSION RATE^MED ROUTE^SCHEDULE^ADMIN TIME^REMARKS^OTHER PRINT INFO^PROVIDER^START DATE/TIME^STOP DATE/TIME^PROVIDER COMMENTS"
- D INP^VADPT S PSBWARD=$P(VAIN(4),"^"),PSBWDIV=PSBWARD D KVAR^VADPT
+ S PSBWARD=$$GET1^DIQ(2,PSBDFN_",",.1),PSBWARD=$$FIND1^DIC(42,"","X",PSBWARD),PSBWDIV=PSBWARD
  I $G(PSBWARD)'="",$D(^PSB(53.66,"B",PSBWARD)) D  ; if IV paramaters defined for ward use them
  .S PSBWARD=$O(^PSB(53.66,"B",PSBWARD,""))
@@ -22,7 +22,7 @@
  I '$D(PSBIVPAR) S PSBIVPAR=PSBIVT D  ; if IV parameters not defined for ward get defaults for division
  .D:$D(PSBWDIV)  ; Get the appropriate DIV for ward and DIVISIONAL IV PARAMETERS
- ..S PSBWDIV=$$GET1^DIQ(42,PSBWDIV_",",.015,"I")
+ ..S PSBWDIV=$$GET1^DIQ(42,PSBWDIV_",",.015,"I"),PSBWDIV=$P($$SITE^VASITE(DT,PSBWDIV),U,1)
  ..I $G(PSBWDIV)']"" S PSBWDIV="DIV"
- ..E  S PSBWDIV=$P($$SITE^VASITE(DT,PSBWDIV),U,1),PSBWDIV="DIV.`"_PSBWDIV
+ ..E  S PSBWDIV="DIV.`"_PSBWDIV
  ..F X=2:1 Q:$P(PSBCSTR,U,X)=""  S PSBIVPAR=PSBIVPAR_U_$P($P($$GET^XPAR(PSBWDIV,"PSBIV "_$P(PSBCSTR,U,X),PSBIVT,"B"),U,2),"-",1)
  ..K PSBWDIV ; Kill temp variable.
Index: FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBRPC2.m
===================================================================
--- FOIAVistA/trunk/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBRPC2.m	(revision 631)
+++ FOIAVistA/tag/r/BAR_CODE_MED_ADMIN-ALPB-PSB/PSBRPC2.m	(revision 636)
@@ -1,5 +1,23 @@
-PSBRPC2 ;BIRMINGHAM/EFC-BCMA RPC BROKER CALLS ;Mar 2004
- ;;3.0;BAR CODE MED ADMIN;**6,3,16,32**;Mar 2004;Build 32
+PSBRPC2 ;BIRMINGHAM/EFC-BCMA RPC BROKER CALLS ;7:42 PM  30 Jan 2008
+ ;;3.0;BAR CODE MED ADMIN;**6,3,16,32,WVEHR1**;WorldVistA 30-Jan-08
  ;Per VHA Directive 2004-038 (or future revisions regarding same), this routine should not be modified.
+ ;
+ ;Modified from FOIA VISTA,
+ ;Copyright 2008 WorldVistA.  Licensed under the terms of the GNU
+ ;General Public License See attached copy of the License.
+ ;
+ ;This program is free software; you can redistribute it and/or modify
+ ;it under the terms of the GNU General Public License as published by
+ ;the Free Software Foundation; either version 2 of the License, or
+ ;(at your option) any later version.
+ ;
+ ;This program is distributed in the hope that it will be useful,
+ ;but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ;GNU General Public License for more details.
+ ;
+ ;You should have received a copy of the GNU General Public License along
+ ;with this program; if not, write to the Free Software Foundation, Inc.,
+ ;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  ;
  ; Reference/IA
@@ -54,5 +72,5 @@
  Q
  ;
-BAGDTL(RESULTS,PSBUID,PSBORD)  ; bag detail
+BAGDTL(RESULTS,PSBUID,PSBORD) ; bag detail
  I $G(DFN)="" S DFN=+PSBUID
  S (PSBIEN,X)="" F  S X=$O(^PSB(53.79,"AUID",DFN,X)) Q:X=""  S:$D(^PSB(53.79,"AUID",DFN,X,PSBUID)) PSBIEN=$O(^PSB(53.79,"AUID",DFN,X,PSBUID,"")) Q:PSBIEN]""
@@ -85,5 +103,5 @@
 INITIAL(PSBDUZ) ;
  Q $$GET1^DIQ(200,PSBDUZ,"INITIAL")
-SCANMED(RESULTS,PSBDIEN,PSBTAB)  ; Lookup Medication
+SCANMED(RESULTS,PSBDIEN,PSBTAB) ; Lookup Medication
  ;
  ; RPC: PSB SCANMED
Index: FOIAVistA/tag/r/BENEFICIARY_TRAVEL-DGBT/DGBTCE.m
===================================================================
--- FOIAVistA/trunk/r/BENEFICIARY_TRAVEL-DGBT/DGBTCE.m	(revision 631)
+++ FOIAVistA/tag/r/BENEFICIARY_TRAVEL-DGBT/DGBTCE.m	(revision 636)
@@ -1,4 +1,4 @@
 DGBTCE ;ALB/SCK - BENEFICIARY TRAVEL CLAIM RE-ENTER/EDIT; 12/15/92  06/04/93
- ;;1.0;Beneficiary Travel;**2,14**;September 25, 2001;Build 7
+ ;;1.0;Beneficiary Travel;**2**;September 25, 2001
  Q
 SCREEN ;
@@ -22,5 +22,5 @@
  . D ^DIE K DIE,DQ,DR I $D(DTOUT)!($D(Y)) S DGBTTOUT=1
 DIE1 ;
- S DGBTMLT=$S($D(DGBTVAR("M"))&((DGBTACCT=4)!(DGBTACCT=5)):$J((DGBTOWRT*DGBTML*DGBTMR),0,2),1:""),$P(^DGBT(392,DGBTDT,"M"),"^",3)=DGBTMLT,$P(DGBTVAR("M"),"^",3)=DGBTMLT
+ S DGBTMLT=$S($D(DGBTVAR("M"))&((DGBTACCT=4)!(DGBTACCT=5)):DGBTOWRT*DGBTML*DGBTMR,1:""),$P(^DGBT(392,DGBTDT,"M"),"^",3)=DGBTMLT,$P(DGBTVAR("M"),"^",3)=DGBTMLT
  ;
  S DIE="^DGBT(392,",DA=DGBTDT
Index: FOIAVistA/tag/r/BENEFICIARY_TRAVEL-DGBT/DGBTCR.m
===================================================================
--- FOIAVistA/trunk/r/BENEFICIARY_TRAVEL-DGBT/DGBTCR.m	(revision 631)
+++ FOIAVistA/tag/r/BENEFICIARY_TRAVEL-DGBT/DGBTCR.m	(revision 636)
@@ -1,4 +1,4 @@
 DGBTCR ;ALB/SCK - BENEFICIARY TRAVEL FORM 70-3542d VARIABLES; 2/7/88@08:00 ;6/11/93@09:30
- ;;1.0;Beneficiary Travel;**7,14**;September 25, 2001;Build 7
+ ;;1.0;Beneficiary Travel;**7**;September 25, 2001
  ;Modification of AIVBTPRT / pmg / GRAND ISLAND ; 07 Jul 88 12:02 PM
 START Q:'$D(DGBTDT)
@@ -37,6 +37,5 @@
  S X=$P(DGBTVAR("M"),"^",5) D COMMA^%DTC S DGBTM10=X
  S X=DGBTM6*DGBTM7+$P(DGBTVAR("M"),"^",4)+$P(DGBTVAR("M"),"^",5) D COMMA^%DTC S DGBTM11=X
- S X2="3$",X=DGBTM7 D COMMA^%DTC S DGBTM7=X
- S X2="2$"  ;Reset edit mask to 2 decimal positions for rest of report
+ S X=DGBTM7 D COMMA^%DTC S DGBTM7=X
  S X=$P(DGBTVAR(0),"^",8) D COMMA^%DTC S DGBTM12=X
  S X=$P(DGBTVAR("M"),"^",4)+$P(DGBTVAR(0),"^",8) D COMMA^%DTC S DGBTM13=X
Index: FOIAVistA/tag/r/BENEFICIARY_TRAVEL-DGBT/DGBTEE.m
===================================================================
--- FOIAVistA/trunk/r/BENEFICIARY_TRAVEL-DGBT/DGBTEE.m	(revision 631)
+++ FOIAVistA/tag/r/BENEFICIARY_TRAVEL-DGBT/DGBTEE.m	(revision 636)
@@ -1,4 +1,4 @@
 DGBTEE ;ALB/SCK - BENEFICIARY TRAVEL ENTER/EDIT; 12/3/92@1600
- ;;1.0;Beneficiary Travel;**2,14**;September 25, 2001;Build 7
+ ;;1.0;Beneficiary Travel;**2**;September 25, 2001
  Q
 SCREEN ;
@@ -26,5 +26,5 @@
 EDIT ;  display trip type, mileage
  I DGBTACCT=4!(DGBTACCT=5) S DR="32//"_DGBTML_";S DGBTML=X;31//"_DGBTOWRT_";S DGBTOWRT=X;" D ^DIE I X=""!(X="^") S DGBTTOUT=-1 Q
- S:DGBTACCT=5&(DGBTCP=1) DGBTMR=DGBTMR1 S DGBTMLT=DGBTOWRT*DGBTML*DGBTMR,DGBTMLT=$J(DGBTMLT,0,2),DR="33///"_DGBTMLT
+ S:DGBTACCT=5&(DGBTCP=1) DGBTMR=DGBTMR1 S DGBTMLT=DGBTOWRT*DGBTML*DGBTMR,DR="33///"_DGBTMLT
  D ^DIE I X=""!(X="^") S DGBTTOUT=-1 Q
 DIE2 ;  stuff eligibility data, SC%, acct. type
Index: FOIAVistA/tag/r/BENEFICIARY_TRAVEL-DGBT/DGBTEE1.m
===================================================================
--- FOIAVistA/trunk/r/BENEFICIARY_TRAVEL-DGBT/DGBTEE1.m	(revision 631)
+++ FOIAVistA/tag/r/BENEFICIARY_TRAVEL-DGBT/DGBTEE1.m	(revision 636)
@@ -1,4 +1,4 @@
 DGBTEE1 ;ALB/SCK - BENEFICIARY TRAVEL ENTER/EDIT CHECK; 12/7/92 3/19/93
- ;;1.0;Beneficiary Travel;**14**;September 25, 2001;Build 7
+ ;;1.0;Beneficiary Travel;;September 25, 2001
  Q
 SCREEN ;  called by dgbtee,dgbtce
@@ -53,5 +53,5 @@
  S DGBTACTN=$P(Y,"^"),DGBTACCT=$P(Y(0),"^",5)
  ;  if account is ALL OTHER - stuff in mileage info
- I $D(DGBTVAR("M")) S DGBTML=$P(DGBTVAR("M"),"^",2),DGBTOWRT=$P(DGBTVAR("M"),"^"),DGBTMLT=$J((DGBTML*DGBTOWRT*DGBTMR),0,2)
+ I $D(DGBTVAR("M")) S DGBTML=$P(DGBTVAR("M"),"^",2),DGBTOWRT=$P(DGBTVAR("M"),"^"),DGBTMLT=DGBTML*DGBTOWRT*DGBTMR
 QUIT ;
  K A,C,I,IA,J,X,XX,^TMP("DGBT",$J),DGBTDIV,DGBTIDT,DGBTCT
Index: FOIAVistA/tag/r/BENEFICIARY_TRAVEL-DGBT/DGBTEF1.m
===================================================================
--- FOIAVistA/trunk/r/BENEFICIARY_TRAVEL-DGBT/DGBTEF1.m	(revision 631)
+++ FOIAVistA/tag/r/BENEFICIARY_TRAVEL-DGBT/DGBTEF1.m	(revision 636)
@@ -1,11 +1,9 @@
 DGBTEF1 ;ALB/SCK - BENEFICIARY TRAVEL UPDATE PARAMETERS INTO FILES ;12/14/92 3/12/93
- ;;1.0;Beneficiary Travel;**2,14**;September 25, 2001;Build 7
+ ;;1.0;Beneficiary Travel;**2**;September 25, 2001
 RATES ;enter/edit bene travel parameters;option DGBT BENE TRAVEL RATES
  S DA=1,DR="720;723;721",DIE="^DG(43," D ^DIE G QUIT:X="^"!($D(DTOUT))!($D(Y)) K DA,DE,DQ,DR,DIE
- Q  ;This Q was added under direction of CBO to remove site's ability to edit rates
  W !!,"New travel rates are determined each fiscal year.  The rates should be",!,"entered each year with the effective date of Oct 1.",!
  W !,"Changing values for the current or past fiscal years could result in changes",!,"to the claims already entered.",!
 DATE ;  change deductible rates for FY
- Q  ;This Q was added under direction of CBO to remove site's ability to edit rates
  S DIR("A")="Select EFFECTIVE DATE",DIR(0)="DO^^E",DIR("?")="^D HELP1^DGBTEF1"
  D ^DIR K DIR G QUIT:$D(DIRUT) G HELP:$E(Y,4,7)'="1001" S X=+Y
Index: FOIAVistA/tag/r/CLINICAL_CASE_REGISTRIES-ROR/RORHL09.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_CASE_REGISTRIES-ROR/RORHL09.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_CASE_REGISTRIES-ROR/RORHL09.m	(revision 636)
@@ -1,7 +1,4 @@
 RORHL09 ;HOIFO/BH - HL7 OUTPATIENT DATA: PV1,OBR,OBX ; 3/13/06 9:24am
- ;;1.5;CLINICAL CASE REGISTRIES;**1,5**;Feb 17, 2006;Build 10
- ;
- ; 11/29/2007 BAY/KAM ROR*1.5*5 Rem Call 218601 Correct Outpatient
- ;                              CPTs not transmitting to the AAC
+ ;;1.5;CLINICAL CASE REGISTRIES;**1**;Feb 17, 2006;Build 24
  ;
  ; This routine uses the following IAs:
@@ -164,12 +161,9 @@
  . ;---
  . S PRV=+$P($G(^TMP("PXKENC",$J,RORIEN,"CPT",K5,12)),U,4)
- . ;12/06/2007 BAY/KAM REM CALL 218601 Modified next 8 lines
- . ;---
- . I PRV>0 D
- .. S $P(PRV,RORCS,13)=$$GET1^DIQ(200,PRV_",",53.5,"E",,"RORMSG")
- .. I $G(DIERR)  D  S ERRCNT=ERRCNT+1
- ... D DBS^RORERR("RORMSG",-99,,RORDFN,200,+PRV_",")
- . E  S PRV=""
- . ;----------> End of changes for 218601
+ . Q:PRV'>0
+ . ;---
+ . S $P(PRV,RORCS,13)=$$GET1^DIQ(200,PRV_",",53.5,"E",,"RORMSG")
+ . I $G(DIERR)  D  S ERRCNT=ERRCNT+1
+ . . D DBS^RORERR("RORMSG",-99,,RORDFN,200,+PRV_",")
  . ;---
  . D SETOBX(OID,PROC,PRV)
